---
title: "Update share access gate"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reports

`PUT /v2/reports/{id}/shares/{shareId}/access-gate`

## Path parameters

- `id` (`report-update-share-access-gate.path.id`; string, required)
  - format `uuid`
- `shareId` (`report-update-share-access-gate.path.shareId`; string, required)
  - format `uuid`

## Request body

- `passcode` (`report-update-share-access-gate.passcode`; string, optional, nullable)
  - minLength 4; maxLength 64
- `requireEmailMatch` (`report-update-share-access-gate.requireEmailMatch`; boolean, optional)
- `ndaText` (`report-update-share-access-gate.ndaText`; string, optional, nullable)
  - minLength 20; maxLength 20000

## Example request

```json
{
  "passcode": "string",
  "requireEmailMatch": true,
  "ndaText": "stringstringstringst"
}
```

## Code samples

### cURL

```bash
curl --request PUT \
  --url 'https://api.sureshake.com/v2/reports/<id>/shares/<shareId>/access-gate' \
  --header 'Content-Type: application/json' \
  --data '
{
  "passcode": "string",
  "requireEmailMatch": true,
  "ndaText": "stringstringstringst"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reports/<id>/shares/<shareId>/access-gate';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({passcode: 'string', requireEmailMatch: true, ndaText: 'stringstringstringst'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reports/<id>/shares/<shareId>/access-gate"

payload = {
    "passcode": "string",
    "requireEmailMatch": True,
    "ndaText": "stringstringstringst"
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "shareId": "6a9e781b-5ee2-4314-8665-1c09eed0443a",
    "passcodeSet": true,
    "requireEmailMatch": true,
    "sharedWithEmail": "string",
    "ndaText": "string",
    "ndaTextSha256": "string",
    "ndaAcceptance": {
      "name": "string",
      "email": "string",
      "acceptedAt": "2019-08-24T14:15:22Z",
      "textSha256": "string",
      "fingerprint": "string",
      "anchorStatus": "pending"
    }
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`report-update-share-access-gate.response.200.data`; object, required)
  - `shareId` (`report-update-share-access-gate.response.200.data.shareId`; string, required)
    - format `uuid`
  - `passcodeSet` (`report-update-share-access-gate.response.200.data.passcodeSet`; boolean, required)
  - `requireEmailMatch` (`report-update-share-access-gate.response.200.data.requireEmailMatch`; boolean, required)
  - `sharedWithEmail` (`report-update-share-access-gate.response.200.data.sharedWithEmail`; string, required, nullable)
  - `ndaText` (`report-update-share-access-gate.response.200.data.ndaText`; string, required, nullable)
  - `ndaTextSha256` (`report-update-share-access-gate.response.200.data.ndaTextSha256`; string, required, nullable)
    - pattern `^[0-9a-f]{64}$`
  - `ndaAcceptance` (`report-update-share-access-gate.response.200.data.ndaAcceptance`; object, required, nullable)
    - `name` (`report-update-share-access-gate.response.200.data.ndaAcceptance.name`; string, required)
    - `email` (`report-update-share-access-gate.response.200.data.ndaAcceptance.email`; string, required)
    - `acceptedAt` (`report-update-share-access-gate.response.200.data.ndaAcceptance.acceptedAt`; string, required)
      - format `date-time`
    - `textSha256` (`report-update-share-access-gate.response.200.data.ndaAcceptance.textSha256`; string, required)
      - pattern `^[0-9a-f]{64}$`
    - `fingerprint` (`report-update-share-access-gate.response.200.data.ndaAcceptance.fingerprint`; string, optional, nullable)
      - pattern `^[0-9a-f]{64}$`
    - `anchorStatus` (`report-update-share-access-gate.response.200.data.ndaAcceptance.anchorStatus`; string, optional, nullable)
      - one of `"pending"`, `"anchored"`
- `meta` (`report-update-share-access-gate.response.200.meta`; object, optional)
  - `timestamp` (`report-update-share-access-gate.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-update-share-access-gate.response.400.error`; object, required)
  - `code` (`report-update-share-access-gate.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-update-share-access-gate.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`report-update-share-access-gate.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-update-share-access-gate.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-update-share-access-gate.response.401.error`; object, required)
  - `code` (`report-update-share-access-gate.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-update-share-access-gate.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`report-update-share-access-gate.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-update-share-access-gate.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-update-share-access-gate.response.403.error`; object, required)
  - `code` (`report-update-share-access-gate.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-update-share-access-gate.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`report-update-share-access-gate.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-update-share-access-gate.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-update-share-access-gate.response.404.error`; object, required)
  - `code` (`report-update-share-access-gate.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-update-share-access-gate.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`report-update-share-access-gate.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-update-share-access-gate.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-update-share-access-gate.response.409.error`; object, required)
  - `code` (`report-update-share-access-gate.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-update-share-access-gate.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`report-update-share-access-gate.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-update-share-access-gate.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-update-share-access-gate.response.422.error`; object, required)
  - `code` (`report-update-share-access-gate.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-update-share-access-gate.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`report-update-share-access-gate.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-update-share-access-gate.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`report-update-share-access-gate.response.500.error`; object, required)
  - `code` (`report-update-share-access-gate.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`report-update-share-access-gate.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`report-update-share-access-gate.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`report-update-share-access-gate.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/report-update-share-access-gate/index.md
